package model

import (
	"github.com/gogf/gf/v2/os/gtime"
	"github.com/gogf/gf/v2/util/gmeta"
)

type NodeCreateInput struct {
	Name      string
	Host      string
	Port      int
	Url       string
	PingType  int
	UrlStatus int
}

type NodeEditInput struct {
	Id        int
	Name      string
	Host      string
	Port      int
	Url       string
	PingType  int
	UrlStatus int
}

type NodeDelInput struct {
	Id int
}

type NodeUpdateInput struct {
	ServerId int
	NodeMs   int
}

// EntityNodePingLog PINGLOGN表
type EntityNodePingLog struct {
	gmeta.Meta `orm:"table:pinglog"`
	Serverid   int         `json:"serverid"`
	Avgdelay   string      `json:"avgdelay"`                    // 平均延迟
	CreateAt   *gtime.Time `json:"createAt" description:"创建时间"` // 创建时间
}

// EntityNodeInfo 组合模型，用户信息
type EntityNodeInfo struct {
	gmeta.Meta `orm:"table:node"`
	Id         int    `orm:"id" json:"id"`
	Name       string `orm:"name"`
	Host       string `orm:"host"`
}

// 组合模型，用户信息
type UserItem struct {
	Node    *EntityNodeInfo
	PingLog []*EntityNodePingLog
}
